Description

I'm opening this as a placeholder for now to upload the patch later.

If the decision to remove wrappers will be accepted in #30448, then there will need to be changes to the #main, else if all the

wrappers will stay, then there will need to be the changes to the #wrapper.

#footer is however going to receive same rules for both approaches. :)

Associated revisions

Revision 18427 - 2019-09-04 09:38 - Go MAEDA

Footer is not placed at the bottom on pages with little content (#30467).

Patch by Bernhard Rohloff.

Revision 18446 - 2019-09-11 04:06 - Go MAEDA

Don't use ^= operator to target the wrapper elements (#30467).

Patch by Marius BALTEANU.

History

#1 - 2019-01-20 08:18 - Jean-Philippe Lang

What is the purpose of making the footer sticky? I don't see anything in the footer that needs to be always visible.

#2 - 2019-01-20 11:09 - Anonymous

Jean-Philippe, apologies for vague description, what I mean by setting footer sticky, is for it to stick to the bottom of the page, while always expanding

the #main block (or a wrapper) in 100% of available vertical height, unless the page's content needs more space.

I think it would be better than having footer ending up in the middle of the screen on pages where there is little or no content.

For reference please see the concept-gridbox-version.html file in the #30451#note-6 and click "Insert Lorem ipsum" button multiple times while

observing the footer to see what I propose :)

#3 - 2019-01-21 21:35 - Marius BĂLTEANU

- Subject changed from Set footer sticky to Have footer stick to the bottom on pages with little content

#4 - 2019-08-27 13:19 - Bernhard Rohloff

- File full_height_layout.diff added

- File original_login_screen.png added

- File patched_login_screen.png added

Here is a patch for the base layout to fill the visible space entirely. The footer always sticks to the bottom until the page is bigger than the visible

height. It's quite pleasing for my eyes. The footer doesn't jump anymore when changing views.

Original login view
original_login_screen.png 

With the patch applied
patched_login_screen.png 

#5 - 2019-09-03 08:56 - Marius BĂLTEANU

2025-07-16 3/5



- Target version set to Candidate for next major release

Bernhard, I've tested your patch in several browsers (including IE 11 and Edge) and it works very well, nice job.

I would love to see this fixed in 4.1.0 along with #30435. It's very annoying to see the footer and the sidebar ended at 600px when there is not too

much content in the page.

#6 - 2019-09-04 07:15 - Bernhard Rohloff

- Target version changed from Candidate for next major release to 4.1.0

I had a chat with Go and it's OK for him, so LGTM! :-)

#7 - 2019-09-04 09:39 - Go MAEDA

- Tracker changed from Patch to Defect

- Subject changed from Have footer stick to the bottom on pages with little content to Footer is not placed at the bottom on pages with little content

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#8 - 2019-09-09 21:50 - Marius BĂLTEANU

- Status changed from Closed to Reopened

I think it's safer to target the wrapper elements by their id instead of using "starting with":

Mariuss-MacBook-Pro:redmine mariusbalteanu$ git diff

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index d5f1762e3..00ca660f0 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -11,7 +11,7 @@ h4 {border-bottom: 1px solid #ccc; font-weight:normal;}

 pre, code {font-family: Consolas, Menlo, "Liberation Mono", Courier, monospace;}

 /***** Layout *****/

-div[id^="wrapper"] { min-height: inherit; }

+div#wrapper, div#wrapper2, div#wrapper3 { min-height: inherit; }

 #wrapper {background: white;overflow: hidden;}

 #wrapper3 { display: flex; flex-direction: column; }

 Bernhard Ganslmeier, do you see any problem with this change?

#9 - 2019-09-10 15:07 - Bernhard Rohloff

Marius BALTEANU wrote:

I think it's safer to target the wrapper elements by their id instead of using "starting with":

[...]

Bernhard Ganslmeier, do you see any problem with this change?

 No, you're right. wrapper is quite generic and could be used in more places.

I think it should be changed this way.

#10 - 2019-09-11 04:07 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

I think it's safer to target the wrapper elements by their id instead of using "starting with":

[...]

Bernhard Ganslmeier, do you see any problem with this change?
 Committed the fix in r18446. Thanks.

Files

full_height_layout.diff 2.02 KB 2019-08-27 Bernhard Rohloff

patched_login_screen.png 22.6 KB 2019-08-27 Bernhard Rohloff

original_login_screen.png 22.6 KB 2019-08-27 Bernhard Rohloff

Powered by TCPDF (www.tcpdf.org)

2025-07-16 5/5

https://www.redmine.org/projects/redmine/repository/svn/revisions/18446
http://www.tcpdf.org

